//************************************************************
//  University of Patras 
//	Department of Electrical Engineering & Computer Technology
//	 
//	Course: Parallel Programming in AI 
//	Week 02: Simple parallel programming methods
//
//  Problem: How many prime numbers are in [I1,I2) ? 
//  	exec01primes03.cpp: Sieve of Eratosthenes (Η σίτα του Ερατοσθένη)
//  Demonstration: How to use the family of exec functions
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
g++ -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc exec01primes03.c -o exec01primes03
Executing:	time ./exec01primes03
Output in my laptop:
Number of Primes in [3,10000000) is 664578

real	0m0.179s
user	0m0.175s
sys	    0m0.004s
*/

// *******************************************************************
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include<sys/wait.h> 

// *******************************************************************
int main(int argc, char *argv[]) 
{ 
    char *args1[]={"./primes03","3","9000000", NULL}; 
    char *args2[]={"./primes03","9000000", "10000000", NULL}; 
    
    int pid = fork() ;
    if (pid)
    {
        execvp(args1[0],args1);
    } else {
//        execvp(args2[0],args2); 
    }
	printf("Bye!!!!") ;
//    wait(NULL) ;
	return 0; 
} 
