//************************************************************
//  University of Patras 
//	Department of Electrical Engineering & Computer Technology
//	 
//	Course: Parallel Programming in AI 
//	Week 02: Simple parallel programming methods
//
//  Problem: Multiple forks 
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc fork01.c -o fork01
Executing:	./fork01
Output in my laptop:

Hello before fork
Hello from 18822 process
Hello from 0 process
Hello from 18823 fork process
Hello from 0 fork process
Hello from 18824 fork process
Hello from 0 fork process
*********************************************************************
*/

// *******************************************************************
#include <stdio.h> 
#include <sys/types.h> 
#include <unistd.h> 

// ****************************************************
int main() {
	int pid1, pid2 ; 
	printf("Hello before fork\n"); 
	pid1 = fork();
	printf("Hello after first fork: %d\n", pid1); 
	pid2 = fork(); 
	printf("Hello after second fork: %d %d\n", pid1, pid2 ); 
	return 0; 
} 
